import 'package:facebook_audience_network/facebook_audience_network.dart';
import 'package:flutter/material.dart';
import 'package:google_mobile_ads/google_mobile_ads.dart';
import 'package:in_app_review/in_app_review.dart';

class THMobileSdk {
  static void initialize({String testingId}) {
    WidgetsFlutterBinding.ensureInitialized();
    MobileAds.instance.initialize();
    FacebookAudienceNetwork.init(testingId: testingId);
  }

  final InAppReview inAppReview = InAppReview.instance;

  void showReviewApp() async {
    if (await inAppReview.isAvailable()) {
      inAppReview.requestReview();
    }
  }
}
